# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution - module extension
#    Copyright (C) 2010- O4SB (<http://openforsmallbusiness.co.nz>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import fields,osv

class product_supplierinfo(osv.osv):
    _inherit = "product.supplierinfo"
    
    _columns = {
        'delay' : fields.related('name', 'supplier_delay', type='integer', relation='res.partner',
                                 string='Lead Time', readonly=True, help="Lead time in days between the confirmation of the purchase order and the reception of the products in your warehouse. Used by the scheduler for automatic computation of the purchase order planning. It is set in the supplier form"),
        } 
product_supplierinfo()
    
class partner(osv.osv):
    _inherit = 'res.partner'
    
    _columns = {
            'supplier_delay': fields.integer('Default Lead Time') 
        }


partner()
    